classification
Title: Unicode "code point" should be two words in documentation
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: Al.Sweigart, docs@python, georg.brandl, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2015-01-07 08:43 by Al.Sweigart, last changed 2015-01-18 09:48 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
code_point_patch.diff Al.Sweigart, 2015-01-07 08:43 Patch with typo corrections review
code_point_2.patch serhiy.storchaka, 2015-01-14 12:33 review
Messages (7)
msg233568 - (view) Author: Al Sweigart (Al.Sweigart) * Date: 2015-01-07 08:43
According to http://unicode.org/glossary/ "codepoint" is incorrect and should be changed to "code point".
msg234011 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-01-14 07:26
New changeset c917ba25c007 by Georg Brandl in branch 'default':
Closes #23181: codepoint -> code point
https://hg.python.org/cpython/rev/c917ba25c007
msg234013 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-01-14 07:41
New changeset e280a04625cc by Georg Brandl in branch '2.7':
Closes #23181: codepoint -> code point
https://hg.python.org/cpython/rev/e280a04625cc
msg234022 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-01-14 12:20
"codepoint" is still used in error messages, docstrings and comments.

Doc/library/json.rst:517::class:`str`) codepoints for such sequences.
Lib/email/message.py:276:                    # containing only ASCII codepoints in the unicode input).
Lib/html/entities.py:6:# maps the HTML entity name to the Unicode codepoint
Lib/html/entities.py:2498:# maps the Unicode codepoint to the HTML entity name
Lib/codecs.py:127:         'surrogateescape' - replace with private codepoints U+DCnn.
Lib/test/test_multibytecodec.py:83:        # jisx0213 encoder is stateful for a few codepoints. eg)
Lib/test/test_html.py:51:        # check invalid codepoints
Lib/test/test_html.py:54:        # check more invalid codepoints
Lib/test/multibytecodec_support.py:24:    unmappedunicode = '\udeee' # a unicode codepoint that is not mapped.
Lib/test/test_unicode.py:1473:        # start bytes of a 2-byte sequence equivalent to codepoints < 0x7F
Lib/test/test_unicode.py:1475:        # start bytes of a 4-byte sequence equivalent to codepoints > 0x10FFFF
Lib/test/test_stringprep.py:2:# Since we don't have them, this test checks only a few codepoints.
Tools/unicode/gencodec.py:37:# Placeholder for a missing codepoint
Modules/cjkcodecs/_codecs_hk.c:174:        NEXT_IN(2); /* all decoded codepoints are pairs, above. */
Modules/cjkcodecs/cjkcodecs.h:15:/* a unicode "undefined" codepoint */
Modules/cjkcodecs/cjkcodecs.h:18:/* internal-use DBCS codepoints which aren't used by any charsets */
Modules/cjkcodecs/_codecs_cn.c:18:/* GBK and GB2312 map differently in few codepoints that are listed below:
Modules/cjkcodecs/_codecs_kr.c:72:            /* All codepoints in CP949 extension are in unicode
Modules/unicodedata.c:979:/* macros used to determine if the given codepoint is in the PUA range that
Modules/unicodedata.c:989:    /* Find the name associated with the given codepoint.
Modules/unicodedata.c:1000:    /* XXX should we just skip all the codepoints in the PUAs here? */
Modules/unicodedata.c:1128:    /* if the codepoint is in the PUA range that we use for aliases,
Modules/unicodedata.c:1129:     * convert it to obtain the right codepoint */
Modules/unicodedata.c:1141:    /* Return the codepoint associated with the given name.
Modules/unicodedata.c:1143:     * 3.2.0)).  If with_named_seq is 1, returns the PUA codepoint that we are
Objects/unicodeobject.c:5016:            errmsg = "codepoint in surrogate code point range(0xd800, 0xe000)";
Objects/unicodeobject.c:5035:            errmsg = "codepoint not in range(0x110000)";
Python/sysmodule.c:1382:maxunicode -- the value of the largest Unicode codepoint\n\
msg234024 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-01-14 12:33
Here is a patch which fixes remnants.
msg234228 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2015-01-18 08:33
Well, go ahead I guess.
msg234231 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-01-18 09:45
New changeset 0353c7e5e0c2 by Serhiy Storchaka in branch '3.4':
Issue #23181: More "codepoint" -> "code point".
https://hg.python.org/cpython/rev/0353c7e5e0c2

New changeset c79abee84a39 by Serhiy Storchaka in branch 'default':
Issue #23181: More "codepoint" -> "code point".
https://hg.python.org/cpython/rev/c79abee84a39

New changeset 2db41d551a4f by Serhiy Storchaka in branch '2.7':
Issue #23181: More "codepoint" -> "code point".
https://hg.python.org/cpython/rev/2db41d551a4f
History
Date User Action Args
2015-01-18 09:48:54serhiy.storchakasetstatus: open -> closed
assignee: docs@python -> serhiy.storchaka
2015-01-18 09:45:18python-devsetmessages: + msg234231
2015-01-18 08:33:47georg.brandlsetnosy: + georg.brandl
messages: + msg234228
2015-01-18 08:22:14serhiy.storchakasetstatus: closed -> open
2015-01-14 12:33:19serhiy.storchakasetfiles: + code_point_2.patch

messages: + msg234024
2015-01-14 12:20:22serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg234022
2015-01-14 07:41:57python-devsetmessages: + msg234013
2015-01-14 07:26:44python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg234011

resolution: fixed
stage: resolved
2015-01-13 23:37:12Al.Sweigartsetversions: + Python 2.7
2015-01-07 08:43:48Al.Sweigartcreate